# Customization

## Customizing Colors

To customize colors in `SnapFragment` use the `UIColorConfiguration` object on the Snapscreen instance.

```
Snapscreen.instance?.colorConfiguration.background = R.color.myBackground
```

## Customizing Fonts

To customize fonts in `SnapFragment`, use the `UIFontConfiguration` object on the Snapscreen instance.

```
Snapscreen.instance?.fontConfiguration.baseTypeface = Typeface.DEFAULT
```

## Customizing Snap UI

To customize displayed messages in the `SnapFragment` use the `SnapUIConfiguration` object on the Snapscreen instance.

```swift
Snapscreen.instance?.snapUIConfiguration.snapHintText = "My custom Hint"
```

All desired customizations must be done prior to presenting the  `SnapFragment` or `SnapActivity`. While it is possible to modify the configuration between presentations of the  `SnapFragment`, such modifications while `SnapFragment` is present are not guaranteed to be respected.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snapodds.com/docs/mobile-sdk/android/snapodds-operator/customization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
